%define         file_version    %(echo %{version} | tr . -)
Summary:	An open source role-playing game
Summary(pl.UTF-8):	Otwarta gra typu RPG
Name:		sumwars
Version:	0.5.4
Release:	%mkrel 2
License:	GPL v3+
Group:		Games/Strategy
Source0:	http://downloads.sourceforge.net/sumwars/%{name}_%{file_version}_src.tar.xz
Patch0:		sumwars_app_0.5.4.patch
Patch1:		sumwars_credit_0.5.4.patch
URL:		http://www.sumwars.org/
#  >= 0.7.5-2
BuildRequires:	libCEGUI0-devel >= 0.7.5
BuildRequires:	libopenal-devel
BuildRequires:	cmake >= 2.6.0
# BuildRequires:	enet-devel >= 1.2
BuildRequires:	libfreealut0-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	liblua-devel
BuildRequires:	libogre-devel >= 1.7.0
BuildRequires:	sed >= 4.0
Requires:	libogre >= 1.7.0
Requires:	ogre >= 1.7.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Summoning Wars is an open source role-playing game, featuring both a
single-player and a multiplayer mode for about 2 to 8 players.

%description -l pl.UTF-8
Summoning Wars jest otwartą grą typu RPG, umożliwiającą grę jednemu
graczowi jak również grę sieciową pozwalającą na grę od 2 do 8 graczy.

%prep
%setup -q -n %{name}_%{file_version}_src
%patch0 -p1 -b .backup
%patch1 -p1 -b .backup
%{__sed} -i 's,./resources,resources,;s,./data,data,' resources.cfg

%build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/%{name}}

cp -a build/sumwars $RPM_BUILD_ROOT%{_bindir}
cp -a ogre.cfg plugins.cfg resources.cfg $RPM_BUILD_ROOT%{_datadir}/games/%{name}
cp -a  authors.txt $RPM_BUILD_ROOT%{_datadir}/games/%{name}
cp -a resources data $RPM_BUILD_ROOT%{_datadir}/games/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/sumwars.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Summoning Wars
Type=Application
Comment=Summoning Wars is an action RPG with point-and-click fight system
Icon=strategy_section.png
Exec=sumwars
Categories=Network;StrategyGame;X-MandrivaLinux-MoreApplications-Games-Strategy;
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/sumwars
%{_datadir}/games/%{name}
%{_datadir}/applications/sumwars.desktop

%changelog
* Tue Feb 22 2011 Texstar <texstar at gmail.com> 0.5.4-2pclos2011
- fix rpm group to Games/Strategy
- add icon to menu
- fix release mkrel macro not used

* Sat Feb 19 2011 Ertain <sirius-C at iname.com> 0.5.4-1pclos2010
- Initial package based upon a PLD specfile.
